Package org.apache.catalina.authenticator.jaspic

## Class PersistentProviderRegistrations.Property

- java.lang.Object
- - org.apache.catalina.authenticator.jaspic.PersistentProviderRegistrations.Property

- Enclosing class:
    PersistentProviderRegistrations

      public static class PersistentProviderRegistrations.Property
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Property()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.String` | `getName()` |
    `java.lang.String` | `getValue()` |
    `void` | `setName​(java.lang.String name)` |
    `void` | `setValue​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Property

          public Property()

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

    - #### setName

          public void setName​(java.lang.String name)

    - #### getValue

          public java.lang.String getValue()

    - #### setValue

          public void setValue​(java.lang.String value)